LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Desktop
User Name
Password
Linux - Desktop This forum is for the discussion of all Linux Software used in a desktop context.

Notices

Reply
 
LinkBack Search this Thread
Old 08-27-2008, 10:05 AM   #1
tuxianD
Member
 
Registered: Jul 2006
Location: MumbaI
Distribution: Fedora 14, Solaris 10
Posts: 55

Rep: Reputation: 15
gnome ipmessenger


Hi fellas,

I am using F9 and have Gnome & Xfce desk. mangers installed.
I use XFCE.
I tried installing gnome ip messenger from source package but its showing dependency error i.e.GTK not installed.

Log of error
Quote:
[tux@nach gipmsg-0.4.0beta1]$ sudo ./configure
[sudo] password for tux:
loading cache ./config.cache
checking for a BSD compatible install... (cached) /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... (cached) yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking for gnome-config... (cached) no
checking for gnomeConf.sh file in /usr/local/lib... not found
checking extra library "applets"... ./configure: line 1117: no: command not found

checking for gcc... (cached) gcc
checking whether the C compiler (gcc ) works... yes
checking whether the C compiler (gcc ) is a cross-compiler... no
checking whether we are using GNU C... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for POSIXized ISC... no
checking for gcc... (cached) gcc
checking whether the C compiler (gcc -g -O2 ) works... yes
checking whether the C compiler (gcc -g -O2 ) is a cross-compiler... no
checking whether we are using GNU C... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking how to run the C preprocessor... (cached) gcc -E
checking for ANSI C header files... (cached) yes
checking host system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for ranlib... (cached) ranlib
checking for ld used by GCC... (cached) /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... (cached) yes
checking for BSD-compatible nm... (cached) /usr/bin/nm -B
checking whether ln -s works... (cached) yes
loading cache ./config.cache within ltconfig
checking for object suffix... o
checking for executable suffix... (cached) no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.lo... yes
checking if gcc supports -fno-rtti -fno-exceptions ... no
checking if gcc static flag -static works... -static
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the linker (/usr/bin/ld) supports shared libraries... yes
checking command to parse /usr/bin/nm -B output... ok
checking how to hardcode library paths into programs... immediate
checking for /usr/bin/ld option to reload object files... -r
checking dynamic linker characteristics... Linux ld.so
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for objdir... .libs
creating libtool
loading cache ./config.cache
checking what warning flags to pass to the C compiler... -Wall -Wunused
checking what language compliance flags to pass to the C compiler...
checking for pthread_create in -lpthread... yes
checking for gtk-config... no
checking for GTK - version >= 1.2.0... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: GTK not installed
and when I try to install GTK through yum

Quote:
[tux@nach ~]$ sudo yum install GTK
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
No package GTK available.
Nothing to do
So plz advice.
 
Old 08-27-2008, 11:33 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2013.07, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,199

Rep: Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373
The required package name is 'gtk+-devel'
'yum install gtk+-devel' (will also install
gtk+)

When a configure script asks for a package,
it always means "name" -devel.
And lsomething => libsomething-devel.

Most packages can be searched to get the
right name => Search (Advanced Search) :
http://rpm.pbone.net/
before using 'yum'

AFAIK gipmsg-0.4.0beta1 is from year 1999,
so do not be surprised if more problems
appear.

Regards

Last edited by knudfl; 08-27-2008 at 11:35 AM.
 
Old 08-27-2008, 02:34 PM   #3
tuxianD
Member
 
Registered: Jul 2006
Location: MumbaI
Distribution: Fedora 14, Solaris 10
Posts: 55

Original Poster
Rep: Reputation: 15
thanks buddy
it was really unknown 2 me who always install ready rpm

since my all friends on lan (XP) chat on ip messenger
thts why I need this and i am very surprised to know that there is no development in this project

btw
./configure completed.

but wehn I did make and then make install
it gave errors as follows

Code:
[tux@nach gipmsg-0.4.0beta1]$ sudo make
make  all-recursive
make[1]: Entering directory `/home/tux/Download/gipmsg-0.4.0beta1'
Making all in src
make[2]: Entering directory `/home/tux/Download/gipmsg-0.4.0beta1/src'
gcc -DHAVE_CONFIG_H -I. -I. -I..  	-DGNOMELOCALEDIR=\""/usr/local/share/locale"\"  -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include  -g -O2 -Wall -Wunused  -c main.c
main.c:13:19: error: gnome.h: No such file or directory
In file included from main.c:18:
properties.h:13: error: expected specifier-qualifier-list before ‘guint16’
properties.h:41: error: expected ‘)’ before ‘*’ token
properties.h:45: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
properties.h:46: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
properties.h:47: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
properties.h:48: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
In file included from main.c:19:
win.h:31: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:36: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:43: error: expected ‘)’ before ‘*’ token
win.h:49: error: expected ‘)’ before ‘*’ token
win.h:52: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:56: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:57: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:58: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:59: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:60: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:61: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:62: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:63: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
win.h:65: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
In file included from main.c:20:
ipmsg.h:115: error: expected specifier-qualifier-list before ‘gchar’
ipmsg.h:126: error: expected specifier-qualifier-list before ‘gint’
ipmsg.h:145: error: expected specifier-qualifier-list before ‘guint’
ipmsg.h:162: error: expected specifier-qualifier-list before ‘guint’
ipmsg.h:176: error: expected ‘)’ before ‘port’
ipmsg.h:180: error: expected ‘)’ before ‘data’
ipmsg.h:181: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘IPMsgSend’
ipmsg.h:182: error: expected ‘)’ before ‘com’
ipmsg.h:183: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘IPMsgReSendData’
ipmsg.h:184: error: expected ‘)’ before ‘mode’
ipmsg.h:186: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
ipmsg.h:192: error: expected declaration specifiers or ‘...’ before ‘guint32’
ipmsg.h:193: error: expected declaration specifiers or ‘...’ before ‘guint32’
ipmsg.h:200: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
ipmsg.h:207: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘sendWin_clist_comp’
ipmsg.h:219: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
ipmsg.h:224: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘IPMsgNonPopupTimeout’
ipmsg.h:232: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘nIPMsgNonPopup’
In file included from main.c:21:
sig.h:27: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
sig.h:28: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
sig.h:29: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
sig.h:30: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
sig.h:31: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
sig.h:32: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
sig.h:37: error: expected ‘)’ before ‘*’ token
sig.h:41: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_sendWin_key_press_event’
sig.h:46: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_sendWinEv_button_press_event’
sig.h:51: error: expected ‘)’ before ‘*’ token
sig.h:55: error: expected ‘)’ before ‘*’ token
sig.h:59: error: expected ‘)’ before ‘*’ token
sig.h:63: error: expected ‘)’ before ‘*’ token
sig.h:67: error: expected ‘)’ before ‘*’ token
sig.h:71: error: expected ‘)’ before ‘*’ token
sig.h:75: error: expected ‘)’ before ‘*’ token
sig.h:79: error: expected ‘)’ before ‘*’ token
sig.h:83: error: expected ‘)’ before ‘*’ token
sig.h:87: error: expected ‘)’ before ‘*’ token
sig.h:92: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_sendUserList_button_press_event’
sig.h:97: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_menu_select_group_cb’
sig.h:101: error: expected ‘)’ before ‘*’ token
sig.h:105: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_buttonWin_delete_event’
sig.h:110: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_buttonWin_button_press_event’
sig.h:115: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_buttonWin_button_press_event’
sig.h:120: error: expected ‘)’ before ‘*’ token
sig.h:124: error: expected ‘)’ before ‘*’ token
sig.h:129: error: expected ‘)’ before ‘*’ token
sig.h:133: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_buttonWin_button_press_event’
sig.h:138: error: expected ‘)’ before ‘*’ token
sig.h:143: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_buttonWinEv_key_press_event’
sig.h:148: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_buttonWinEv_button_press_event’
sig.h:153: error: expected ‘)’ before ‘*’ token
sig.h:157: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_logWin_delete_event’
sig.h:162: error: expected ‘)’ before ‘*’ token
sig.h:167: error: expected ‘)’ before ‘*’ token
sig.h:171: error: expected ‘)’ before ‘*’ token
sig.h:180: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_popupmenu_fuzai_cb’
sig.h:183: error: expected ‘)’ before ‘user_data’
sig.h:186: error: expected ‘)’ before ‘user_data’
sig.h:189: error: expected ‘)’ before ‘user_data’
sig.h:197: error: expected ‘)’ before ‘*’ token
sig.h:200: error: expected ‘)’ before ‘*’ token
sig.h:203: error: expected ‘)’ before ‘*’ token
main.c: In function ‘kill_exit_proc’:
main.c:63: warning: implicit declaration of function ‘alarm’
main.c:64: warning: implicit declaration of function ‘exit’
main.c:64: warning: incompatible implicit declaration of built-in function ‘exit’
main.c:64: error: ‘EXIT_SUCCESS’ undeclared (first use in this function)
main.c:64: error: (Each undeclared identifier is reported only once
main.c:64: error: for each function it appears in.)
main.c: In function ‘trap_usr1’:
main.c:69: warning: implicit declaration of function ‘IPMsgOpenSendWin’
main.c: At top level:
main.c:72: error: array type has incomplete element type
main.c:73: error: ‘POPT_ARG_STRING’ undeclared here (not in a function)
main.c:73: warning: implicit declaration of function ‘N_’
main.c:76: error: ‘POPT_ARG_INT’ undeclared here (not in a function)
main.c:76: error: ‘struct OPTION_T’ has no member named ‘port’
main.c:77: error: ‘struct OPTION_T’ has no member named ‘localnet_bcast’
main.c:78: error: ‘NULL’ undeclared here (not in a function)
main.c: In function ‘main_quit’:
main.c:107: warning: implicit declaration of function ‘gtk_main_quit’
main.c: At top level:
main.c:111: error: expected ‘)’ before ‘client_data’
main.c:118: error: expected ‘)’ before ‘*’ token
main.c:131: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
main.c: In function ‘main’:
main.c:160: error: ‘GnomeClient’ undeclared (first use in this function)
main.c:160: error: ‘smClient’ undeclared (first use in this function)
main.c:162: error: expected specifier-qualifier-list before ‘gint’
main.c:163: warning: excess elements in struct initializer
main.c:163: warning: (near initialization for ‘geom’)
main.c:163: warning: excess elements in struct initializer
main.c:163: warning: (near initialization for ‘geom’)
main.c:163: warning: excess elements in struct initializer
main.c:163: warning: (near initialization for ‘geom’)
main.c:163: warning: excess elements in struct initializer
main.c:163: warning: (near initialization for ‘geom’)
main.c:164: error: ‘GtkWidget’ undeclared (first use in this function)
main.c:164: error: ‘app’ undeclared (first use in this function)
main.c:178: warning: implicit declaration of function ‘bindtextdomain’
main.c:179: warning: implicit declaration of function ‘textdomain’
main.c:188: warning: implicit declaration of function ‘gnome_init_with_popt_table’
main.c:189: error: ‘winMain’ undeclared (first use in this function)
main.c:189: warning: implicit declaration of function ‘gnome_app_new’
main.c:191: warning: implicit declaration of function ‘newGnomeClient’
main.c:192: warning: implicit declaration of function ‘gtk_signal_connect’
main.c:192: warning: implicit declaration of function ‘GTK_OBJECT’
main.c:193: warning: implicit declaration of function ‘GTK_SIGNAL_FUNC’
main.c:193: error: ‘on_buttonWin_destroy’ undeclared (first use in this function)
main.c:195: warning: implicit declaration of function ‘getenv’
main.c:195: warning: assignment makes pointer from integer without a cast
main.c:199: warning: implicit declaration of function ‘IPMsgSetup’
main.c:199: error: ‘struct OPTION_T’ has no member named ‘port’
main.c:200: warning: implicit declaration of function ‘create_buttonWin’
main.c:211: warning: implicit declaration of function ‘gnome_parse_geometry’
main.c:211: error: ‘struct <anonymous>’ has no member named ‘x’
main.c:211: error: ‘struct <anonymous>’ has no member named ‘y’
main.c:211: error: ‘struct <anonymous>’ has no member named ‘w’
main.c:211: error: ‘struct <anonymous>’ has no member named ‘h’
main.c:212: warning: implicit declaration of function ‘gtk_widget_set_uposition’
main.c:212: error: ‘struct <anonymous>’ has no member named ‘x’
main.c:212: error: ‘struct <anonymous>’ has no member named ‘y’
main.c:214: error: ‘struct <anonymous>’ has no member named ‘w’
main.c:214: error: ‘struct <anonymous>’ has no member named ‘w’
main.c:215: error: ‘struct <anonymous>’ has no member named ‘h’
main.c:215: error: ‘struct <anonymous>’ has no member named ‘h’
main.c:216: warning: implicit declaration of function ‘gtk_widget_set_usize’
main.c:216: error: ‘struct <anonymous>’ has no member named ‘w’
main.c:216: error: ‘struct <anonymous>’ has no member named ‘h’
main.c:218: warning: implicit declaration of function ‘gtk_widget_show_all’
main.c:219: warning: implicit declaration of function ‘gtk_widget_hide’
main.c:219: warning: implicit declaration of function ‘get_widget’
main.c:219: warning: implicit declaration of function ‘GTK_WIDGET’
main.c:225: warning: implicit declaration of function ‘atexit’
main.c:232: warning: implicit declaration of function ‘gtk_main’
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/home/tux/Download/gipmsg-0.4.0beta1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/tux/Download/gipmsg-0.4.0beta1'
make: *** [all-recursive-am] Error 2
I am not getting the meaning of these errors.

Last edited by tuxianD; 08-27-2008 at 02:37 PM.
 
Old 08-28-2008, 10:47 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2013.07, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,199

Rep: Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373
When errors appear, please look for "missing", in this
case in line 6
Quote:
main.c:13:19: error: gnome.h: No such file or directory
Even if you have the required lib, gnome-libs-devel-1.4.2
installed, the file structure has changed since year 2000.
The reason is : to keep gnome1 / glib1 / gtk+(1) and
gnome2 / glib2 / gtk+2 separate they got new directory
names. (in /usr/lib and /usr/include)
Enough of that, now to the good news :

There is a gipmsg-0.9.3 here
http://www.geekbone.org/ubuntu-cn/di...-i386/g2ipmsg/

Possible solutions : 1) Convert the package
g2ipmsg_0.9.3-1_i386.deb to rpm with alien.
(The result may not work on F9)

2) Compile the source, suggest including the
patch.

I will try to make an install of F9 to test
it in a couple of days.

Regards
 
Old 08-28-2008, 11:45 AM   #5
tuxianD
Member
 
Registered: Jul 2006
Location: MumbaI
Distribution: Fedora 14, Solaris 10
Posts: 55

Original Poster
Rep: Reputation: 15
hey thnx for heads up

I searched meanwhile and downloaded g2ipmsg-0.9.5.tar.gz fromhttp://www.ipmsg.org/index.html.en
Installed source package
w00t ip messenger is working fine now

thnx a ton buddy for sharing u r knowledge/info

Last edited by tuxianD; 08-28-2008 at 11:49 AM.
 
Old 12-03-2008, 07:16 AM   #6
vpg1986
LQ Newbie
 
Registered: Aug 2008
Posts: 5

Rep: Reputation: 0
Unhappy libpanelapplet error !!!

plz help me
i tried building g2ipmsg-0.9.5.tar.gz but in when
I get this
i've tried searchin for ma problem but in vain

Code:
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking for library containing strerror... none required
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for intltool >= 0.31... 0.36.3 found
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for XML::Parser... ok
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for dirfd... yes
checking for asctime_r... yes
checking for localtime_r... yes
checking for pkg-config... /usr/bin/pkg-config
checking OpenSSL options with pkg-config... found
checking for gdi32... no
checking for CRYPTO_lock in -lcrypto... yes
checking openssl/rsa.h usability... yes
checking openssl/rsa.h presence... yes
checking for openssl/rsa.h... yes
checking openssl/crypto.h usability... yes
checking openssl/crypto.h presence... yes
checking for openssl/crypto.h... yes
checking openssl/rand.h usability... yes
checking openssl/rand.h presence... yes
checking for openssl/rand.h... yes
checking openssl/evp.h usability... yes
checking openssl/evp.h presence... yes
checking for openssl/evp.h... yes
checking openssl/bn.h usability... yes
checking openssl/bn.h presence... yes
checking for openssl/bn.h... yes
checking for RAND_bytes... yes
checking for RAND_status... yes
checking for RAND_seed... yes
checking for RAND_poll... yes
checking for HMAC_CTX_init... yes
checking for HMAC_Init... yes
checking for HMAC_Update... yes
checking for HMAC_Final... yes
checking for HMAC_CTX_cleanup... yes
checking for EVP_EncryptInit... yes
checking for EVP_DecryptInit... yes
checking for EVP_EncryptUpdate... yes
checking for EVP_EncryptFinal... yes
checking for EVP_CIPHER_CTX_block_size... yes
checking for EVP_CIPHER_CTX_cleanup... yes
checking for EVP_bf_cbc... yes
checking for EVP_rc2_cbc... yes
checking for EVP_des_ede_cbc... yes
checking for BN_new... yes
checking for BN_bn2hex... yes
checking for BN_hex2bn... yes
checking for BN_bn2bin... yes
checking for BN_rand... yes
checking for BN_free... yes
checking for RSA_new... yes
checking for RSA_size... yes
checking for RSA_check_key... yes
checking for RSA_public_encrypt... yes
checking for RSA_private_decrypt... yes
checking for RSA_sign... yes
checking for RSA_free... yes
checking for PEM_write_RSAPrivateKey... yes
checking for PEM_read_RSAPrivateKey... yes
checking for PEM_write_RSAPublicKey... yes
checking for PEM_read_RSAPublicKey... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for G2IPMSG... yes
checking for SYSTRAY... yes
checking whether to be enable systray... yes
checking whether to be enable applet... yes
checking for APPLET... configure: error: Package requirements (libpanelapplet-2.0) were not met:

No package 'libpanelapplet-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables APPLET_CFLAGS
and APPLET_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
 
Old 12-04-2008, 04:35 AM   #7
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2013.07, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,199

Rep: Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373Reputation: 2373
vpg1986 :
" No package 'libpanelapplet-2.0' found "

Just install the package with your package manager.
Use the "Search" in that package manager > > libpanel

and find 'libpanel-applet-2_0-devel' or similar
depending on your "Linux".
(different names in different Linux's)
" -dev " or " -devel " is what you need.
....
 
Old 12-04-2008, 11:44 PM   #8
vpg1986
LQ Newbie
 
Registered: Aug 2008
Posts: 5

Rep: Reputation: 0
knudfl:
Thanks-a-lot for ur reply, but i had already figured dat out and ma ipmsg is already runin.
But now there's another problem wit it.
I have a query. Installed on linux, does it communicate wit ipmsg installed on windows on the network(i expect it should), does it ??
Because at ma place it didn't.
and like windows it doesn't even show, ma own ip address.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Flashing Gnome Login And Missing Gnome Panels, Gnome is borked! openSuse 10.2 Perps Suse/Novell 1 03-17-2008 05:22 PM
Gnome-panel, nautilus and gnome settings daemon Fail on Startup hitman_et Linux - General 0 04-01-2005 09:06 PM
automount cd and usb memory in gnome 2.8 testing sarge with gnome-volume-manager gvm pevelius Debian 0 12-20-2004 02:15 AM
Palm and Gnome: problem with gnome-pilot and how to view/edit memopad entries lhoff Linux - Software 4 12-07-2004 11:55 AM
missing gnome option in gnome-keybinding-properties fedora core 1? lrt2003 Fedora 0 04-18-2004 07:35 PM


All times are GMT -5. The time now is 09:23 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration